Bug 241758 - Review Request: xar - The eXtensible ARchiver
Review Request: xar - The eXtensible ARchiver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-30 09:13 EDT by Matthias Saou
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 1.5-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-18 12:39:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jochen: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2007-05-30 09:13:37 EDT
Spec URL: http://ftp.es6.freshrpms.net/tmp/extras/xar/xar.spec
SRPM URL: http://ftp.es6.freshrpms.net/tmp/extras/xar/xar-1.5-1.src.rpm
Description:
The XAR project aims to provide an easily extensible archive format. Important
design decisions include an easily extensible XML table of contents for random
access to archived files, storing the toc at the beginning of the archive to
allow for efficient handling of streamed archives, the ability to handle files
of arbitrarily large sizes, the ability to choose independent encodings for
individual files in the archive, the ability to store checksums for individual
files in both compressed and uncompressed form, and the ability to query the
table of content's rich meta-data.
Comment 1 Jochen Schmitt 2007-05-30 16:44:06 EDT
Good:
+ Rpmlint quite on source rpm.
+ Sources matches with upstream.
+ License ok.
+ Naming ok.
+ Local build works fine.
+ Rpmlint quite on xar main package.
+ Rpmlint quite on debuginfo package.
+ Package contains varbatin copy of the license text.
+ Local install and uninstall works fine
+ Local test of the application works fine.
+ Mock build works fine.


Bad:
- Bad Buildroot:
BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Duplicate BuildRequites:
Duplicate BuildRequires: zlib-devel (by libxml2-devel)
- xar-devel contains no docs.
Comment 2 Matthias Saou 2007-05-31 05:06:50 EDT
- Buildroot : "should", not "must", I'm getting tired of this one :-/
- Duplicate buildrequires : Not really. The package checks explicitly for both,
it's not if it was only relying on libxml2 and indirectly on zlib. I see no harm
or problems in having both, and prefer like this in case the software switches
to some other xml library in the future, which doesn't pull in zlib.
- I don't recall any policy making docs mandatory in devel packages. You're
probably relying on rpmlint output. The xar sources don't contain any API docs,
so the devel package doesn't either.

Thanks for taking the time to review, and so quickly too :-)
Comment 3 Jochen Schmitt 2007-05-31 13:44:47 EDT
Ok, for the Buildroot I have consult the packaging guildline and have find out,
that you specified Buildroot is ok.

So, becouse there are no open topics noew, I can approve your package.

*** APPROVED ***
Comment 4 Matthias Saou 2007-06-05 18:52:13 EDT
Thanks for the review! I had forgotten about it because the bug wasn't ASSIGNED,
though.

New Package CVS Request
=======================
Package Name: xar
Short Description: The eXtensible ARchiver
Owners: matthias@rpmforge.net
Branches: F7 FC6 FC5 EL5 EL4 devel (all current)
InitialCC: 
Comment 5 Jason Tibbitts 2007-06-05 19:17:01 EDT
CVS done.
Comment 6 Matthias Saou 2007-06-07 03:20:54 EDT
Thanks! All imported, built and pushed.
Comment 7 Fedora Update System 2007-06-18 12:39:43 EDT
xar-1.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.